# Uses of Interface
org.opensaml.xmlsec.DecryptionConfiguration

Packages that use DecryptionConfiguration
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config
OpenSAML configuration classes.
org.opensaml.xmlsec.criterion
Criterion classes for XML Security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of DecryptionConfiguration in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl with type parameters of type DecryptionConfiguration
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,List<DecryptionConfiguration>>`
PopulateDecryptionParameters.`configurationLookupStrategy`
Strategy used to lookup a per-request `DecryptionConfiguration` list.
Method parameters in org.opensaml.profile.action.impl with type arguments of type DecryptionConfiguration
Modifier and Type
Method
Description
`void`
PopulateDecryptionParameters.`setConfigurationLookupStrategy(Function<ProfileRequestContext,List<DecryptionConfiguration>> strategy)`
Set the strategy used to look up a per-request `DecryptionConfiguration` list.

## Uses of DecryptionConfiguration in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return DecryptionConfiguration
Modifier and Type
Method
Description
`static DecryptionConfiguration`
SecurityConfigurationSupport.`ensureGlobalDecryptionConfiguration()`
Get the global `DecryptionConfiguration` instance, raising an exception if absent.
`static DecryptionConfiguration`
SecurityConfigurationSupport.`getGlobalDecryptionConfiguration()`
Get the global `DecryptionConfiguration` instance.

## Uses of DecryptionConfiguration in org.opensaml.xmlsec.config

Fields in org.opensaml.xmlsec.config declared as DecryptionConfiguration
Modifier and Type
Field
Description
`private DecryptionConfiguration`
BasicXMLSecurityConfiguration.`decryptConfig`
Configuration used when decrypting protocol message information.
Methods in org.opensaml.xmlsec.config that return DecryptionConfiguration
Modifier and Type
Method
Description
`DecryptionConfiguration`
BasicXMLSecurityConfiguration.`getDecryptionConfiguration()`
Get the configuration used when decrypting protocol message information.
`DecryptionConfiguration`
XMLSecurityConfiguration.`getDecryptionConfiguration()`
Get the configuration used when decrypting protocol message information.
Methods in org.opensaml.xmlsec.config with parameters of type DecryptionConfiguration
Modifier and Type
Method
Description
`BasicXMLSecurityConfiguration`
BasicXMLSecurityConfiguration.`setDecryptionConfiguration(DecryptionConfiguration config)`
Set the configuration used when decrypting protocol message information.

## Uses of DecryptionConfiguration in org.opensaml.xmlsec.criterion

Fields in org.opensaml.xmlsec.criterion with type parameters of type DecryptionConfiguration
Modifier and Type
Field
Description
`private List<DecryptionConfiguration>`
DecryptionConfigurationCriterion.`configs`
The list of configuration instances.
Methods in org.opensaml.xmlsec.criterion that return types with arguments of type DecryptionConfiguration
Modifier and Type
Method
Description
`List<DecryptionConfiguration>`
DecryptionConfigurationCriterion.`getConfigurations()`
Get the list of configuration instances.
Constructors in org.opensaml.xmlsec.criterion with parameters of type DecryptionConfiguration
Modifier
Constructor
Description
``
`DecryptionConfigurationCriterion(DecryptionConfiguration... configurations)`
Constructor.
Constructor parameters in org.opensaml.xmlsec.criterion with type arguments of type DecryptionConfiguration
Modifier
Constructor
Description
``
`DecryptionConfigurationCriterion(List<DecryptionConfiguration> configurations)`
Constructor.

## Uses of DecryptionConfiguration in org.opensaml.xmlsec.impl

Classes in org.opensaml.xmlsec.impl that implement DecryptionConfiguration
Modifier and Type
Class
Description
`class`
`BasicDecryptionConfiguration`
Basic implementation of `DecryptionConfiguration`.